@setlocal
@echo off

if x%GPF% == x goto noenv
rem Use absolute path.
set TOOLSDIR=%GPF%\tools

goto setparam

:noenv
rem Try relative path.
set TOOLSDIR=..\tools

:setparam
if x%_4ver% == x goto param_no4nt

cdd %TOOLSDIR%
set LIBDIR=%_CWD\lib
goto start

:param_no4nt
cd /d %TOOLSDIR%
set LIBDIR=%cd%\lib

:start

cd bin
call .\eclipse.bat %1 %2 %3 %4 %5 %6 %7 -vmargs "-Xbootclasspath/p:%LIBDIR%\java\xmlParserAPIs.jar;%LIBDIR%\java\xercesImpl.jar"

rem Generate batch file for call of command from 4nt+initvars.
if x%GPF% == x goto end
if x%_4ver% == x goto end
if not isdir %GPF%\tools\bin\eclipse\workspace\.metadata\.plugins\com.ti.sapeditor mkdir %GPF%\tools\bin\eclipse\workspace\.metadata\.plugins\com.ti.sapeditor
call %GPF%\util\sape\bin\4ntenv_gen.bat %GPF%\tools\bin\eclipse\workspace\.metadata\.plugins\com.ti.sapeditor\4ntenv.bat

:end
endlocal
